//+------------------------------------------------------------------+
//|                                                        debug.mqh |
//+------------------------------------------------------------------+

#include <stderror.mqh>
#include <stdlib.mqh>

//+------------------------------------------------------------------+
void logInfo( string msg )
{
    Print( "INFO: " + msg );
}

//+------------------------------------------------------------------+
void logError( string functionName, string msg, int errorCode = -1 )
{
    Print( "ERROR: in " + functionName + "()" );
    Print( "ERROR: " + msg );
    
    int err = GetLastError();
    if( errorCode != -1 ) err = errorCode;
        
    if( err != ERR_NO_ERROR ) 
    {
        Print( "ERROR: code=" + err + " - " + ErrorDescription( err ) );
    }    
}

//+------------------------------------------------------------------+
void assert( string functionName, bool assertion, string description = "" )
{
    if( !assertion ) Print( "ASSERT: in " + functionName + "() - " + description );
}


